---
sidebar_label: JSCoverageOptions
---

# JSCoverageOptions interface

Set of configurable options for JS coverage.

**Signature:**

```typescript
export interface JSCoverageOptions
```

## Properties

| Property                                                                               | Modifiers | Type    | Description                                                                           |
| -------------------------------------------------------------------------------------- | --------- | ------- | ------------------------------------------------------------------------------------- |
| [includeRawScriptCoverage?](./puppeteer.jscoverageoptions.includerawscriptcoverage.md) |           | boolean | <i>(Optional)</i> Whether the result includes raw V8 script coverage entries.         |
| [reportAnonymousScripts?](./puppeteer.jscoverageoptions.reportanonymousscripts.md)     |           | boolean | <i>(Optional)</i> Whether anonymous scripts generated by the page should be reported. |
| [resetOnNavigation?](./puppeteer.jscoverageoptions.resetonnavigation.md)               |           | boolean | <i>(Optional)</i> Whether to reset coverage on every navigation.                      |
